body { 
  font: 1.25em/1.5em monospace; 
  background: #0a0a0a;
  color: #33FE33;
}

.align-center { text-align: center; }
.flow-root { display: flow-root; }
.flow-column { flex-direction: column; }
.row { display: flex; }
.form-box { display: inline-flex; margin-right: .1em; }

#logo,
.ad120,
.ad468,
.ad728 {
  display: none;
}

.adblock { display: block, width: 100%; margin: 0; padding: 0; }
#ad-top { margin-top: 3px; }

a,
a:link,
a:visited,
a:focus {
  color: #33FE33;
  text-decoration: none;
  border-bottom: 1px dotted #33FE33;
}

a:hover { border-bottom: 1px solid #33FE33; }

#home { margin: 1em; }
#home section { margin-bottom: 1em; }
#home input { margin: .75em .25em; }

header { flex-direction: column; }
header nav,
header .col-right { text-align: center; margin-top: 10px; }
header form { margin: 0; padding: 5px; }
header form input,
header form select { 
  text-align: center; 
  width: 99%; 
  margin: 3px; 
  padding: 5px; 
  background: #0a0a0a;
  color: #33FE33;
  border: 1px solid #33FE33;
  font: inherit;
}

#browse h1 {
  text-align: center;
  padding: 5px;
  margin: 0;
  border-bottom: solid 0px #33FE33;
  background: #0a0a0a;
  color: #33FE33;
  font-size: 1em;
  line-height: 1em;
}
.details h1 { display: none; }

#torrents { margin: 0 0 10px; padding: 0; list-style-type: none; display: table; width: 100%; position: relative; }
#torrents a { border: 0; }
#torrents #viewswitch { display: none; }
#torrents li.list-header,
#torrents li.list-entry { display: table-row; }
#torrents li.list-entry { background: #0a0a0a; }
#torrents li.list-entry.alt { background: #111111; }
#torrents li.list-entry:hover { background: #1a1a1a; }
#torrents span.list-item { display: table-cell; padding: 3px; }
#torrents span.list-header { background: #0a0a0a; border: 1px solid #33FE33; color: #33FE33; }
#torrents li.list-entry span.item-type { text-align: center; }
#torrents span.item-title { display: block; }
#torrents span.item-details { color: #33FE33; opacity: 0.7; }
#torrents li.list-entry span.item-icons { display: inline-block; width: 70px; }
#torrents span.item-seed,
#torrents span.item-leech { text-align: right; }

#description_container { background: #0a0a0a; padding-bottom: 10px; margin-bottom: 10px; border: 1px solid #33FE33; }
#description_container h2 { margin: 0; padding: 6px 0 8px 10px; font-size: 1em; font-weight: bold; letter-spacing: 0.07em; border-bottom: 1px solid #33FE33; background: #0a0a0a; color: #33FE33; }
#description_container h3 { margin: 5px; font-size: 1em; font-weight: bold; color: #33FE33;}
#description_container .col-meta div { padding: 1px 5px; display: flex; }
#description_container dt { margin: 0; padding: 0; display: inline-block; font-weight: bold; color: #33FE33; border-bottom: 1px dashed #33FE33; flex-shrink: 0; }
#description_container .dt-sm { width: 4em; }
#description_container .dt-md { width: 8em; }
#description_container dd { margin: 0; padding: 0; display: inline-block; border-bottom: 1px dashed #33FE33; color: #33FE33; }
#description_container #tags a { margin-left: .5em; }
#description_container .links { margin: 20px 10px; }
#description_container .links a { margin: 5px; font-size: 1em; color: #33FE33; font-weight: bold; text-transform: uppercase; border-bottom: 1px dotted #33FE33; }
#description_container .hyper-link:before { content: "\27A4";display: inline-block;margin: 0 5px; color: #33FE33; }
#description_container .text-box { margin: 20px 5px; border: 1px solid #33FE33; background: #0a0a0a; padding: 10px; font: inherit; }
#description_container #description_text { white-space: pre-wrap; }
#description_container ol { margin: 0; padding: 0; list-style-type: none; }
#description_container #filelist li { position: relative; padding: 1px;}
#description_container #filelist li.alt { background: #111111; }
#description_container #filelist .file-size { float: right; color: #33FE33; }
#comments_container li { margin: 10px 5px; }
#comments_container span { display: block; width: 100%; }
#comments_container .comment-meta { color: #33FE33; opacity: 0.7; margin-bottom: 5px; }
#comments_container .comment-text { padding: 6px 3px; background: #0a0a0a; border: 1px solid #33FE33; font: inherit; white-space: pre-wrap; color: #33FE33; }

.category_list { width: 50%; }
.category_list div { display: flex; flex-direction: column; padding: 10px; width: 100%; }
.category_list dt { display: block; width: 100%; color: #33FE33; }
.category_list dd { margin-left: 1em; color: #33FE33; }
.category_list dd>a,
.category_list dd span { display: inline-flex; margin: 0 .2em; color: #33FE33; }

@media screen and (min-width: 480px) {
  .ad234 { display: none; }
  .adblock .ad468 { display: block; }
}

@media screen and (min-width: 800px) {
  #home { margin: 10px auto; }

  .details h1 { display: block; color: #33FE33; font-size: 1em; }

  #browse { display: flex; flex-direction: column; margin: 0 10px; width: auto; }
  header { order: 1; flex-direction: row; }
  main { order: 2; }
  footer { order: 3; }
  header nav,
  header .col-right,
  header .col-center { text-align: center; margin: 10px; }
  header form { margin: 0; padding: 0; }
  header form input,
  header form select { 
    text-align: center; 
    width: auto; 
    margin: 3px; 
    padding: 5px; 
    background: #0a0a0a;
    color: #33FE33;
    border: 1px solid #33FE33;
    font: inherit;
  }
  header #search_input { width: 20em; background: #0a0a0a; color: #33FE33; border: 1px solid #33FE33; font: inherit; }
  #browse h1 { text-align: left; }
  .browse { display: flex; flex-direction: row; }
  .browse .col-left,
  .browse .col-right { width: 140px; margin: 0; padding: 10px ;}
  .browse .col-center { width: 100%; margin: 0; padding: 10px; }

  #torrents #viewswitch { display: inline; float: right; color: #33FE33; }
  #torrents.view-double { font-size: 1em; }
  #torrents.view-single li.list-entry span.item-icons { padding-left: 5px; padding-right: 5px; wdith: auto; white-space: nowrap; }

  #description_container { font-size: 1em; }
  #description_container #metadata { display: flex; }
  #description_container .col-meta { width: 50%; }
  .ad120,
  .ad468,
  .ad728  {
    display: block;
  }

  .ad234, .adblock .ad468 { display: none; }
}

@media screen and (min-width: 1250px) {
  #logo { display: inline; }
  #logo a { border: 0; color: #33FE33; }

  #browse { margin: 0 auto; width: 1240px; }
}